%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_ch_create
%     
%     Creates a route of the desired length, each hop modeled as
%     a Rayleigh-distributed random variable
%     
%     Input:
%     m: Distribution parameter
%     L: Route length
%     
%     Output:
%     r: Route hop lengths, 1xL vector
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function r = fnc_ch_create(m,L)

    prm = ones(1,L)*m;
    r = raylrnd(prm);

return 