%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   nt_fnc_create_nw
%     
%     Creates a random, 2-dimensional network of desired size and density.
%     
%     Input:
%     x: Network size, as side in square
%     N: Number of nodes

%     
%     Output:
%     coord: x and y coordinates of N nodes, dimension 2xL
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function coord = nt_fnc_create_nw(x,N)

coord = rand(2,N)*x - x/2;

% With sink node in (0,0) and numbered

% coord = zeros(2,N);
% coord(1,:) = 1:N;
% coord(2:3,:) = rand(2,N)*x - x/2;

return