%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   nt_fnc_node_dist
%     
%     Find eucledian distance between two given nodes.
%     
%     Input:
%     n1: Coordinates of node 1
%     n2: Coordinates of node 2
%     
%     Output:
%     d: Distance between nodes.
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function d = nt_fnc_node_dist(n1,n2)
% 
% if (size(n1) ~= size(n2))
%    d = -1
%    disp('ERROR in fnc_nw_node_dist (Dimensions)')
%    return;
% end
diff = abs(n1 - n2);
d = sqrt(diff(1).^2 + diff(2).^2);

% if (d > 135)
%     disp('*** in nt_fnc_node_dist ***')
%     disp(' Distance > 135. Coordinates: ')
%     n1
%     n2
%     disp('Distance:')
%     d
% end

return