function res = fnc_linkad_search_b(c_sys, c_sim, b_min, b_max, g, disc)

% Set large from start
E_best = c_sim.T*c_sys.P_max;
res = [-2 0];

if (disc)
    b_stp = 1;
else
    b_stp = c_sys.b_stp;
end

b_tmp = b_min;
while (true)

%   Find required TX power for this b_tmp
    P_tx_tmp = fnc_calc_P_tx(c_sys, c_sim, b_tmp, g);
%     Find energy consumption
    E_tmp = fnc_calc_E(c_sys, c_sim, b_tmp, P_tx_tmp);
        
        if (E_tmp < E_best)
            E_best = E_tmp;
            res = [b_tmp P_tx_tmp];
        end
                
        b_tmp = b_tmp + b_stp; 
        
        if (b_tmp > b_max)
            
           return
           
        end
end