% Allocates time slots to each hop in a route, given end-to-end time 
% constraint and link states
function t_vec = fnc_linkad_time_alloc(T, g, uniform)

    if(uniform)
        t_vec = ones(1,length(g))*T/length(g);
    else %inverse logaritmic
%         t_vec = T*sum(1./log(g))./log(g);
        t_vec = T*log(g)/sum(log(g));
    end

return